

header {
    background: #333;
    height: 3em;
    padding: 5px;
}

main {
    background: #FEFEFE ;
   
}


header h1 {
    color: white;
    font-size: 20px;
    padding: 0.5%;
    text-align: center;
    
    
}

.titulo-cep{
    font-family: 'Press Start 2P', cursive;
    margin:  100px 0;
    padding: 50px;
    text-align: center;
    font-size:50px;
    font-weight: bold;

}


td,th{
    border: 1px solid #000000;
    padding: 3px 30px;
    
}


form{
    margin:  100px 0;
    text-align: center;
   
}

#pesquisa-cep {
    
    height: 50px;
    width:40%;
    font-size: larger; 
    border-radius: 50px 50px 50px 50px;
}

#botao-cep{
    height: 50px;
    border-radius:  50px 50px 50px 50px;
    font-family: 'Press Start 2P', cursive;
    font-size: larger; 
}



table{
    margin: x 0 40px;
    text-align: center;
}

.modal-container{
    width:  100vw;
    height: 100vh;
    background: rgba(0,0,0,.5);
    position: fixed;
    top: 0px;
    left: 0px;
    z-index: 2000;
    display: none;
    justify-content: center;
    align-items: center;
    
    
}

.modal-container.mostrar {
    display: flex;

}

@keyframes modal {
    from {
        opacity: 0;
        transform: translate3d(0, -60px, 0);
    }
    to {
        opacity: 1;
        transform: translate3d(0, 0, 0);
    }
}

.mostrar .modal {
    animation: modal .3s;
}



.modal {
    background: white;
    width: 60%;
    min-width: 300px;
    padding: 40px;
    border: 10px solid black;
    position: relative;
}

.info-endereco {
    background-color: lightgrey;
}

.fechar {
    position: absolute;
    top: 0px;
    right: 0px;
    width:  50px;
    height: 50px;
    border-radius:  50%;
    border: 4px solid white;
    cursor: pointer;
}

span {
    display: none;
}

.mostrar-span {
    font-family: 'Press Start 2P', cursive;
    display: flex;
    text-align: center;
    margin: 0 45%;
    width: 40%;
    color: red;
}
